> ## Documentation Index
> Fetch the complete documentation index at: https://docs.automate.ax/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Automate.ax automations are TypeScript programs.
> Use Bun for installation and command examples.
> Use Automate.ax for the product name and automate.ax for the package, CLI, and domain.
> Treat documented public APIs as current; do not invent transitional or deprecated names.

# Revoke integration account

> Immediately blocks and globally revokes a shared integration account.



## OpenAPI

````yaml https://automate.ax/api/v1/openapi.json post /organizations/{organizationId}/integration-accounts/{accountId}/revoke
openapi: 3.1.1
info:
  title: Automate.ax API
  version: 0.0.0
servers:
  - url: https://automate.ax/api/v1
security:
  - bearerAuth: []
paths:
  /organizations/{organizationId}/integration-accounts/{accountId}/revoke:
    post:
      tags:
        - Integration Accounts
      summary: Revoke integration account
      description: Immediately blocks and globally revokes a shared integration account.
      operationId: revokeIntegrationAccount
      parameters:
        - name: organizationId
          in: path
          required: true
          schema:
            type: string
        - name: accountId
          in: path
          required: true
          schema:
            type: string
      responses:
        '202':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  revocation:
                    type: object
                    properties:
                      completedAt:
                        anyOf:
                          - type: string
                            format: date-time
                            x-native-type: date
                          - type: 'null'
                      error:
                        anyOf:
                          - type: string
                          - type: 'null'
                      id:
                        type: string
                      requestedAt:
                        type: string
                        format: date-time
                        x-native-type: date
                      status:
                        enum:
                          - pending
                          - succeeded
                          - failed
                          - unsupported
                        type: string
                    required:
                      - completedAt
                      - error
                      - id
                      - requestedAt
                      - status
                  txid:
                    type: integer
                    minimum: 0
                    maximum: 9007199254740991
                required:
                  - revocation
                  - txid
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Automate.ax user session bearer token.

````